{"components":{"schemas":{"Association":{"properties":{"companyId":{"type":"string"},"companyName":{"type":"string"},"type":{"$ref":"#/components/schemas/Type"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BeneficialOwner":{"properties":{"controlTypes":{"items":{"$ref":"#/components/schemas/ControlType"},"type":"array"},"extentOfControl":{"$ref":"#/components/schemas/Type"},"person":{"$ref":"#/components/schemas/PersonDetails"}},"type":"object"},"BeneficialOwnerResult":{"properties":{"association":{"$ref":"#/components/schemas/Association"},"person":{"$ref":"#/components/schemas/Person"}},"type":"object"},"BeneficialOwnerSePersonDataResults":{"description":"Roaring Apps beneficial owners results","properties":{"records":{"description":"found results","items":{"$ref":"#/components/schemas/BeneficialOwnerResult"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"BeneficialOwnersResult":{"properties":{"beneficialOwners":{"items":{"$ref":"#/components/schemas/BeneficialOwner"},"type":"array"},"caseId":{"type":"string"},"changeDate":{"type":"string"},"legalEntity":{"$ref":"#/components/schemas/Association"},"otherAssociation":{"$ref":"#/components/schemas/Association"},"registrationDateTime":{"type":"string"},"representatives":{"items":{"$ref":"#/components/schemas/PersonDetails"},"type":"array"},"status":{"$ref":"#/components/schemas/Type"},"suspicion":{"$ref":"#/components/schemas/Suspicion"}},"type":"object"},"BeneficialOwnersSeResults":{"description":"Roaring Apps company beneficial owners results","properties":{"records":{"description":"found results","items":{"$ref":"#/components/schemas/BeneficialOwnersResult"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"ControlType":{"properties":{"association":{"$ref":"#/components/schemas/Association"},"code":{"type":"string"},"description":{"type":"string"}},"type":"object"},"HistoryBeneficialOwnerSePersonDataResult":{"description":"Roaring Apps beneficial owner person history result","properties":{"associations":{"description":"List of associated companies in which the person is beneficial owner","items":{"$ref":"#/components/schemas/Association"},"type":"array"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"person":{"allOf":[{"$ref":"#/components/schemas/HistoryPerson"}],"description":"Person information"}},"type":"object"},"HistoryBeneficialOwnerSePersonDataResults":{"description":"Roaring Apps beneficial owner person history results","properties":{"records":{"description":"found history person beneficial owner results","items":{"$ref":"#/components/schemas/HistoryBeneficialOwnerSePersonDataResult"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"HistoryPerson":{"properties":{"firstNames":{"items":{"type":"string"},"type":"array"},"middleName":{"type":"string"},"personalNumber":{"description":"Personal number","type":"string"},"surName":{"type":"string"}},"type":"object"},"Person":{"properties":{"firstNames":{"items":{"type":"string"},"type":"array"},"middleName":{"type":"string"},"surName":{"type":"string"}},"type":"object"},"PersonDetails":{"properties":{"birthDate":{"type":"string"},"citizenship":{"$ref":"#/components/schemas/Type"},"coordinationNumber":{"type":"string"},"countryResidence":{"$ref":"#/components/schemas/Type"},"firstNames":{"items":{"type":"string"},"type":"array"},"middleName":{"type":"string"},"personalNumber":{"type":"string"},"surName":{"type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"Suspicion":{"properties":{"cases":{"items":{"$ref":"#/components/schemas/SuspicionCase"},"type":"array"},"gradeCode":{"format":"int32","type":"integer"},"gradeText":{"type":"string"}},"type":"object"},"SuspicionCase":{"properties":{"caseNumber":{"type":"string"},"suspicionRegistrationDate":{"type":"string"}},"type":"object"},"Type":{"properties":{"code":{"type":"string"},"description":{"type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"See which Beneficial Owners a company has.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Beneficial Owner","version":"2.1","x-logo":{"url":"https://assets.roaring.io/svg/beneficial-owner-v3.1.svg"}},"openapi":"3.0.1","paths":{"/company/history/{companyId}":{"get":{"description":"Changes of the company's beneficial owners within specified date range. The range includes \"fromDate\" and excludes \"toDate\".","operationId":"historyCompany","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BeneficialOwnersSeResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history beneficial owners by company id","tags":["BeneficialOwner"]}},"/company/{companyId}":{"get":{"description":"It supports date parameter to find overview up to date","operationId":"viewCompany","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BeneficialOwnersSeResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get beneficial owners for a company","tags":["BeneficialOwner"]}},"/person/history/{personalNumber}":{"get":{"description":"Changes of the companies the person is beneficial owner for within specified date range. The range includes \"fromDate\" and excludes \"toDate\".","operationId":"historyPerson","parameters":[{"description":"personal number of beneficial owner","in":"path","name":"personalNumber","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryBeneficialOwnerSePersonDataResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history companies the person is beneficial owner for","tags":["BeneficialOwner"]}},"/person/{personalNumber}":{"get":{"operationId":"viewPerson","parameters":[{"description":"personal number of beneficial owner","in":"path","name":"personalNumber","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BeneficialOwnerSePersonDataResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get companies a person is a beneficial owner for","tags":["BeneficialOwner"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/beneficialowner/2.1"}],"x-category":"company","x-countries":["se"],"x-id":"BeneficialOwner"}